Foros del Web » Programando para Internet » PHP »

Consulta Sobre Maguma

Estas en el tema de Consulta Sobre Maguma en el foro de PHP en Foros del Web. Hola: Hace poco instale el Maguma para utilizar Php, pero me da el siguiente error: unable to load dynamic library 'c:\Archivos de programa\Maguma\php\extensions/php_dbg.dll' no se ...
  #1 (permalink)  
Antiguo 04/02/2004, 22:22
Avatar de Rangers  
Fecha de Ingreso: enero-2003
Ubicación: Talca
Mensajes: 38
Antigüedad: 14 años, 10 meses
Puntos: 0
Consulta Sobre Maguma

Hola:
Hace poco instale el Maguma para utilizar Php, pero me da el siguiente error:

unable to load dynamic library 'c:\Archivos de programa\Maguma\php\extensions/php_dbg.dll' no se encontro el proceso especificado.

Igual se que debe ser algo con el php.ini, pero no he podido arreglarlo.
No se si tenga que ver el ultimo /, ya que los otros eran distintos, bueno no se .

Ojala me puedan ayudar.

Gracias.
  #2 (permalink)  
Antiguo 05/02/2004, 07:55
O_O
 
Fecha de Ingreso: enero-2002
Ubicación: Santiago - Chile
Mensajes: 34.417
Antigüedad: 15 años, 11 meses
Puntos: 126
Pues tienes que instalar esa extensión en tu PHP ..

DBG (php_dbg.dll) es un "debugger" para PHP que enlaza con vários IDE's (como el Maguma) para depurar tus aplicaciones PHP (ejecutarlas paso a paso, ver estado de variables . .poner puntos de ruptura .. etc).

Se compone de dos partes .. una "cliente" que lo instala el própio Maguma si se lo indicas (como parece ser que ya lo hicistes) y otra "servidor" que es la instalación de esa extensión ..

Para instalar la parte "servidor" .. debes copiar esa php_dbg.dll hacia tu directorio de extensiones (php/extensions o donde apunte extension_dir = .. en tu php.ini y que será donde tengas las otras php_xxx.dll de otras extensiones de PHP ..)

También tendrás que añadir en el bloque de extensiones de php.ini una línea más:

extension = php_dbg.dll

guardar tu php.ini y reiniciar tu servidor HTTP (Apache o el que uses ..)

Todo esto lo explica la documentación del Maguma y del DBG ..

Por cierto .. es NECESARIO que acudas a la web oficial de DBG y te bajes el php_dgb.dll de TU versión actual de PHP .. ya que estos "debuggers" funciona sólo con la versión exacta que uses de PHP.

Un saludo,
__________________
Por motivos personales ya no puedo estar con Uds. Fue grato haber compartido todos estos años. Igualmente los seguiré leyendo.
  #3 (permalink)  
Antiguo 05/02/2004, 09:51
Avatar de Rangers  
Fecha de Ingreso: enero-2003
Ubicación: Talca
Mensajes: 38
Antigüedad: 14 años, 10 meses
Puntos: 0
Hola:
¿Cual es la página de DBG?, intente con dbg.com pero creo que no es?
  #4 (permalink)  
Antiguo 05/02/2004, 10:25
O_O
 
Fecha de Ingreso: enero-2002
Ubicación: Santiago - Chile
Mensajes: 34.417
Antigüedad: 15 años, 11 meses
Puntos: 126
(y usastes google? ... yo tampoco la sé de memoria .. pero lo acabo de usar: http://dd.cron.ru/dbg/ (buscando por: DBG+debugger)

Un saludo,
__________________
Por motivos personales ya no puedo estar con Uds. Fue grato haber compartido todos estos años. Igualmente los seguiré leyendo.
  #5 (permalink)  
Antiguo 05/02/2004, 10:49
Avatar de Rangers  
Fecha de Ingreso: enero-2003
Ubicación: Talca
Mensajes: 38
Antigüedad: 14 años, 10 meses
Puntos: 0
¿Como puedo saber la versión del Php que estoy ocupando?

Hace poco baje la version completa (Free) del maguma de la pagina y dice ahi que la versión es 4.3.4, pero no estoy bien seguro , ya que entro a la pagina de los dbg y no hay ninguno para esa versión.


Última edición por Rangers; 05/02/2004 a las 10:53
  #6 (permalink)  
Antiguo 05/02/2004, 11:25
O_O
 
Fecha de Ingreso: enero-2002
Ubicación: Santiago - Chile
Mensajes: 34.417
Antigüedad: 15 años, 11 meses
Puntos: 126
No sé que versión de Maguma estaras usando .. lo que si que es cierto es que Maguma es sólo un IDE (entorno de desarrollo) (editor ..) que dispone de una versión que instalar (trae) PHP y un servidor HTTP (Apache) y no se que más ...

La versión de PHP la puedes conocer (y más datos sobre configuración de PHP) haciendo:

Código PHP:
<?
phpinfo
();
?>
Ahí veras todos esos datos y muchos más sobre la versión de PHP que usas .. e incluso de la del servidor HTTP que uses ...

Si DBG no ha sacado versión (exacta) de tu versión de PHP que uses .. en "teoría" no deberías usar el depurador con otra extensión php_dbg.dll para otra versión de PHP.. Y si lo haces es probable que no funcione correctamente (ahí si lo pruebas nos cuentas).

Si quieres mira la documentación de "Maguma" e intenta desinstalar la parte cliente del depurador (debugger) para no tener que instalar la extensión en PHP (sobre todo cuando no está disponible para tu versión de PHP) .. El depurador es bueno . .pero no inprescindible para trabajar con PHP (yo de hecho lo uso muyy poco).

Un saludo,
  #7 (permalink)  
Antiguo 05/02/2004, 21:42
Avatar de Rangers  
Fecha de Ingreso: enero-2003
Ubicación: Talca
Mensajes: 38
Antigüedad: 14 años, 10 meses
Puntos: 0
Hola:

Mi versión era 4.3.4 y no hay un DBG para esta versión. Perdona la pregunta pero como veo la documentación del maguma para poder hacer la desintalación que me dices. O ¿Como lo hago?

Gracias

Chao
  #8 (permalink)  
Antiguo 06/02/2004, 07:02
O_O
 
Fecha de Ingreso: enero-2002
Ubicación: Santiago - Chile
Mensajes: 34.417
Antigüedad: 15 años, 11 meses
Puntos: 126
Bueno.. si quieres instalar DBG correctamente lee la documentación de DBG (en la de Maguma apenas menciona el tema y remite a dicha documentación):

http://dd.cron.ru/dbg/installation.php

Sobre la desinstalación:

Parace que para desinstalar "a mano" la parte Cliente de DBG hay que desinstalar la .dll: PHPDbgPS.dll con el regsvr32 (con el parámetro de desinstalar .. que no recuerdo cual es y el maguma abajo ..)

Por cierto .. Maguma tiene foro (en ingles):
http://support.maguma.com/forum/

Y .. a malas ... desinstala Maguma (entero) y te bajas una versión de Maguma sin el DBG (la "Basic" de: http://maguma.com/download.php )

Un saludo,
__________________
Por motivos personales ya no puedo estar con Uds. Fue grato haber compartido todos estos años. Igualmente los seguiré leyendo.
  #9 (permalink)  
Antiguo 06/02/2004, 10:33
Avatar de Rangers  
Fecha de Ingreso: enero-2003
Ubicación: Talca
Mensajes: 38
Antigüedad: 14 años, 10 meses
Puntos: 0
Hola.

¿El DBG es muy importante? no se muy bien su función, o ¿Me recomendarias que bajara la versión basica del Maguma?.

Chao

Última edición por Rangers; 06/02/2004 a las 10:36
  #10 (permalink)  
Antiguo 06/02/2004, 12:14
O_O
 
Fecha de Ingreso: enero-2002
Ubicación: Santiago - Chile
Mensajes: 34.417
Antigüedad: 15 años, 11 meses
Puntos: 126
Bueno .. cuando no se sabe lo que es una cosa .. mejor no usarla hasta que sepas lo que es y le des alguna utilidad .. no?

El "DBG" ya he comentado en este mensaje y debes de haber leido la documentación al respecto (por qué has visitado su web oficial) ..que es un "depurador" de código .. Lee mi primera respuesta y si ves que eso no te hace falta (ya te decía que yo apenas lo uso .. es cosa de contumbre ..) pues no lo uses.

Un saludo,
__________________
Por motivos personales ya no puedo estar con Uds. Fue grato haber compartido todos estos años. Igualmente los seguiré leyendo.
  #11 (permalink)  
Antiguo 07/02/2004, 16:30
Avatar de Rangers  
Fecha de Ingreso: enero-2003
Ubicación: Talca
Mensajes: 38
Antigüedad: 14 años, 10 meses
Puntos: 0
Hola.

Al final me baje la versión basica del Maguma simn el DBG.

Gracias por tu ayuda

Chao
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 09:28.